#### Beyond Linux® From Scratch (systemd Edition) - Version 11.1

### Chapter 31. KDE Frameworks 5 Based Applications

- Prev

  Gwenview-21.12.2

- Next

  k3b-21.12.2

- Up
- Home

# libkcddb-21.12.2

## Introduction to libkcddb

The libkcddb package contains a library used to retrieve audio CD meta data from the internet.

This package is known to build and work properly using an LFS-11.1 platform.

### Package Information

- Download (HTTP): https://download.kde.org/stable/release-service/21.12.2/src/libkcddb-21.12.2.tar.xz

- Download MD5 sum: aeb7f9f46b56729cada709729f8dab2c

- Download size: 428 KB

- Estimated disk space required: 8.7 MB

- Estimated build time: 0.1 SBU (Using parallelism=4)

### libkcddb Dependencies

#### Required

KDE Frameworks-5.91.0 and libmusicbrainz-5.1.0

User Notes: https://wiki.linuxfromscratch.org/blfs/wiki/libkcddb

## Installation of libkcddb

Install libkcddb by running the following commands:

    mkdir build &&
    cd    build &&

    cmake -DCMAKE_INSTALL_PREFIX=$KF5_PREFIX \
          -DCMAKE_BUILD_TYPE=Release         \
          -DBUILD_TESTING=OFF                \
          -Wno-dev ..                        &&
    make

This package does not come with a test suite.

Now, as the `root` user:

    make install

## Contents

Installed Programs: None
Installed Libraries: libKF5Cddb.so and kcm_cddb.so
Installed Directories: $KF5_PREFIX/include/KF5/KCddb and $KF5_PREFIX/lib/cmake/KF5Cddb $KF5_PREFIX/share/doc/HTML/*/kcontrol

### Short Descriptions

`libkcddb.so` | contains functions used to retrieve audio CD meta data from the internet

Last updated on

- Prev

  Gwenview-21.12.2

- Next

  k3b-21.12.2

- Up
- Home